
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>内存机制-关于动态存储与静态存储的区别 / iVAN</title>

    <meta name="description" content="内存机制-关于动态存储与静态存储的区别 问题描述 关于动态存储与静态存储的区别 什么时候要用到动态存储呢?它在用的时候还要指定大小,和静态分配区别在哪呢? 解决方案 运行的时候若由用户指定了一个大小n,程序接下来就可以这样分配int *arr = (int *) malloc ( sizeof(int) * n ); 解决方案二: 编译的时候无法确定大小的,只能用动态存储.另外,程序中可能使用,也可能不使用的存储,用动态存储可以提高性能. 解决方案三: 我是说编译时无法确定大小.而不是说无法确定大小.malloc中指定变量,而变量来自">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">内存机制-关于动态存储与静态存储的区别</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>关于动态存储与静态存储的区别        </dt>
<dd>什么时候要用到动态存储呢？它在用的时候还要指定大小，和静态分配区别在哪呢？</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>运行的时候若由用户指定了一个大小n，程序接下来就可以这样分配int *arr = (int *) malloc ( sizeof(int) * n );</p>
<p>解决方案二：    <br />编译的时候无法确定大小的，只能用动态存储。<br />另外，程序中可能使用，也可能不使用的存储，用动态存储可以提高性能。</p>
<p>解决方案三：    <br />我是说编译时无法确定大小。而不是说无法确定大小。<br />malloc中指定变量，而变量来自用户的输入，这种情况编译的时候就没法确定大小。</p>
<p>解决方案四：    <br />动态分配是运行时，比如程序运行的时候，用户输入一个值，程序根据输入的值分配对应大小的空间。而静态分配是程序编译的时候就指定了大小。</p>
<p>解决方案五：    <br />你的数组定义多大呢？<br />C不允许你写<br />int arr[n]; //如果n是变量</p>
<p>解决方案六：    <br /><a>http://blog.csdn.net/evankaka/article/details/44457765</a><br />栈，堆，全局，文字常量，代码区总结</p>
<p>解决方案七：    <br /><a>http://codepad.org/1Ko6dHSj</a></p>
<p>In function &#039;int main()&#039;:<br />Line 3: error: ISO C++ forbids variable-size array &#039;a&#039;<br />compilation terminated due to -Wfatal-errors.<br />你的代码没法编译的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 02:28:58</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ad%98%e6%9c%ba%e5%88%b6/" title="内存机制">内存机制</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>内存机制-关于动态存储与静态存储的区别的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAXwonb.html" rel="bookmark">（五十九）自动存储、静态存储、动态存储</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自动存储: 函数内部定义的常规变量,被称为自动变量,这意味着他们在所属的函数被调用的时候自动产生,在该函数结束时消亡.   自动变量是一个局部变量,作用域为包含他的代码块,比如int main(){}中定义的int a; 在int abc(){}这个函数中就不能用.   自动变量通常储存在 栈 中,这意味着执行代码块时,其中的变量将依次加入到 栈 中,而离开代码块时,将按相反的顺序释放这些变量,这被称为后进先出(LIFO),因此,在程序执行的过程中,栈将不断的增大和缩小.   静态存储: 静态存			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyW5NZz.html" rel="bookmark">malloc&comma;colloc&comma;realloc内存分配，动态库，静态库的生成与调用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				﻿﻿ 1.在main方法里面直接定义一个非常大的数组的时候,可能会出现栈溢出:错误代码演示: #include&lt;stdio.h&gt; #include&lt;stdlib.h&gt; void main() {     int a[1024 * 1024];     int num = 100;     system(&quot;pause&quot;); } 错误截图: 2．在定义数组的时候要定义数组的长度,否则会出现错误.(特例:在GCC编译器下,不会出现错误(因为标准不一样)). 3.打印并			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91grkM.html" rel="bookmark">动态路由与静态路由的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    静态路由 静态路由是指由网络管理员手工配置的路由信息.当网络的拓扑结构或链路的状态发生变化时,网络管理员需要手工去修改路由表中相关的静态路由信息.静态路由信息在缺省情况下是私有的,不会传递给其他的路由器. 当然,网管员也可以通过对路由器进行设置使之成为共享的.静态路由一般适用于比较简单的网络环境,在这样的环境中,网络管理员易于清楚地了解网络的拓扑结构,便于设置正确的路由信息. 动态路由 动态路由是指路由器能够自动地建立自己的路由表,并且能够根据实际实际情况的变化适时地进行调整. 动态路由			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b22Nevb.html" rel="bookmark">【最近面试遇到的一些问题】JSP中动态INCLUDE与静态INCLUDE的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				动态INCLUDE在使用的时候,会先解析所要包含的页面(你例子中的included.jsp),解析后在和主页面放到一起显示: 静态INCLUDE在使用的时候,不会解析所要包含的页面(你例子中的included.htm),也就是说,不管你的included.htm中有什么,我的任务就是把你包含并显示,其他的一概不管 jsp:include是先编译一下included.jsp文件,然后再包含 先编译,后包含 @ include是先把文件包含就来,然后统一编译 先包含,后编译			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkm73jb.html" rel="bookmark">ORACLE 动态注册和静态注册的区别&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1, oracle 10g 用netca方式建立的都默认为动态注册方式2,如果想改为静态注册的方式则在listener.ora 中加入如下内容即可 SID_LIST_LISTENER = (SID_LIST = (SID_DESC = (SID_NAME = PLSExtProc) (ORACLE_HOME = /u01/app/oracle/product/10.2.0/db_1) (PROGRAM = extproc) ) (SID_DESC = (SID_NAME = JEFF ) (OR			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYkDPZz.html" rel="bookmark">JSP下动态INCLUDE与静态INCLUDE的区别分析&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				动态INCLUDE     用jsp:include动作实现 &lt;jsp:include page=&quot;included.jsp&quot; flush=&quot;true&quot; /&gt;它总是会检查所含文件中的变化,适合用于包含动态页面,并且可以带参数. 静态INCLUDE    用include伪码实现,定不会检查所含文件的变化,适用于包含静态页面&lt;%@ include file=&quot;included.htm&quot; %&gt;  ===============			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr0keyz.html" rel="bookmark">JSP中动态include与静态include的区别介绍&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				动态INCLUDE 用法:&lt;jsp:include page=&quot;included.jsp&quot; flush=&quot;true&quot; /&gt; 说明:它总是会检查所含文件中的变化,适合用于包含动态页面,并且可以带参数,先编译之后再进行处理. 原因:1.静态include的结果是把其他jsp引入当前jsp,两者合为一体. 2.静态include纯粹是把代码写在外面的一种共享方法,所有的变量都是可以和include它的主文件共享,两者高度紧密结合,不能有变量同名的冲突.而页面设			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOX7Kxb.html" rel="bookmark">C&plus;&plus;中静态存储区与栈以及堆的区别详解&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学习c++如果不了解内存分配是一件非常可悲的事情.而且,可以这样讲,一个C++程序员无法掌握内存.无法了解内存,是不能够成为一个合格的C++程序员的.一.内存基本构成可编程内存在基本上分为这样的几大部分:静态存储区.堆区和栈区.他们的功能不同,对他们使用方式也就不同.静态存储区:内存在程序编译的时候就已经分配好,这块内存在程序的整个运行期间都存在.它主要存放静态数据.全局数据和常量.栈区:在执行函数时,函数内局部变量的存储单元都可以在栈上创建,函数执行结束时这些存储单元自动被释放.栈内存分配运算			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgR6ZZb.html" rel="bookmark">动态网站与静态网站几个明显的不同</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				动态网站与静态网站的区别 程序是否在服务器端运行,是重要标志.在服务器端运行的程序.网页.组件,属于动态网页,它们会随不同客户.不同时间,返回不同的网页,例如ASP.PHP.JSP.CGI等.运行于客户端的程序.网页.插件.组件,属于静态网页,例如html页.Flash.JavaScript.VBScript等等,它们是永远不变的. 静态网页和动态网页各有特点,网站采用动态网页还是静态网页主要取决于网站的功能需求和网站内容的多少,如果网站功能比较简单,内容更新量不是很大,采用纯静态网页的方式会更			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4JPrM.html" rel="bookmark" class="title">网页菜单工厂 精彩网页菜单轻松完成</a>
					<div>
						菜单|网页 要是能够像那些专业站点一样制作出令人心动的网页菜单当然是再好不过的了,如果你并不会这些Javascript技术也没有关系,就由WebMenuShop在短短的几分钟之内让你的主页增色不少.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw9dkM.html" rel="bookmark" class="title">Facebook推广学校的7种推广模式</a>
					<div>
						文章描述:7种在Facebook上推广大学的案例. 当Facebook雏形悄悄的在哈佛大学的某间宿舍诞生的时候,我想校方万万没有想到,Facebook的成长会成为大学今天不可缺少的并且很有效的营销推广 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjDJnp.html" rel="bookmark" class="title">SQL Server 2000之日志传送功能 - 设定（3）</a>
					<div>
						server SQL Server 2000之日志传送功能 - 设定(3) 更改日志传送之组态设定         您可以使用数据库维护计划之[属性]对话盒来更改日志传送相关设定.在[交易记录文件备份 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlynNp.html" rel="bookmark" class="title">设计师的收入和设计师的能力</a>
					<div>
						导读:作为设计师的收入为什么总也上不去?除了设计我还能干什么?面对那些很2的老板,客户,我能做什么呢?如何你是一名正处于悲观情绪阶段的设计师,那么这篇文章可能对你有用. 基本上这个话题很敏感,也很困难 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4lJYz.html" rel="bookmark" class="title">小云：做好一个SEO项目经理的建议</a>
					<div>
						做一个优秀的SEO项目经理还是很困难的,这需要能够是项目完成的出色,把握项目计划包括成本,进度范围以及项目监控,质量审核等等,把客户的满意度提到最高.具体该怎么做呢,参照大庆帝九数码科技有限公司项目经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKwAnb.html" rel="bookmark" class="title">浅谈新手站长入手seo的五大禁忌</a>
					<div>
						搜索引擎优化简称&quot;seo&quot;,如今它已经成为网络上的一个热门词.在茫茫的网络大海中,关于seo的信息取之不尽,用之不竭.但是这些信息並不是全部都适合我们的,掌握了正确的seo操作並且 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1B8ez.html" rel="bookmark" class="title">LoadRunner使用技巧：集合点设置</a>
					<div>
						Loadrunner 技巧已经整理4篇了,你个一定疑问,这些知识点,网上随处可见.确实,由于长时间没有使用这个工具,造成我的一些概念开始在大脑中模糊,我只是用这种方式来温习. ------------ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKK7Op.html" rel="bookmark" class="title">javaBean入门（1） javaBean简介及基本使用</a>
					<div>
						没有javaBean的jsp就等于没有学过jsp. 其实从javaBean开始就已经进入了MVC模式的学习了.那么什么是javaBean. 大家还记得在jsp+jdbc连接数据库的时候吧.只要是需要连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7D6XM.html" rel="bookmark" class="title">PS橡皮及蒙版抠出小狗</a>
					<div>
						程的抠图效果没有通道或抽出滤镜抠图的精度高.大致思路:作者先分析素材图,按背景色分为几个区块,然后分别选区出来用橡皮及蒙版等工具来擦除背景,再组合起来即可. 原图 最终效果 1.用Photoshop把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxQakb.html" rel="bookmark" class="title">PS调出写意美女人物图片柔和的淡暖色</a>
					<div>
						暖色图片调色较为简单,只需要用调色工具把画面的主色转为自己的喜爱的暖色即可.不过转色后还需要适当把图片柔化处理,局部装饰一些高光和暗角等来增强画面的层次感和柔和度. 原图 &lt;点小图查看大图&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7gPLb.html" rel="bookmark" class="title">在word文档中怎么自动插入页眉内容呢&quest;</a>
					<div>
						  在word文档中怎么自动插入页眉内容呢?         1.打开word文档: 当然,我们得打开我们的文档; 2.单击视图: 单击&quot;视图&quot;,在下面的菜单中选中&quot;页眉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGKmAp.html" rel="bookmark" class="title">阿里云主机centos系统如何挂载和扩展多块硬盘&lpar;非目录挂载&rpar;步骤</a>
					<div>
						  笔记最近买了个阿里云主机(也是听说不错才买的),操作系统是CentOS,后来又新买了硬盘,在新硬盘如何挂载和扩展折腾了不少时间,所幸操作成功,现在把操作步骤记录分享给大家. 新买的阿里云主机默认硬 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1jePb.html" rel="bookmark" class="title">PS制作漂亮的古风签名图</a>
					<div>
						PS制作漂亮的古风签名图 效果 教程         注:更多请关注photoshop教程栏目,三联PS教程群:181754111欢迎你的加入 分类: PS入门教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd6dkM.html" rel="bookmark" class="title">Adobe Audition怎么录音</a>
					<div>
						  网络上很多人都用的cooledit pro2.0 或者2.1 版本的,小编用的这个是adobe audition,貌似是那个的升级版本,不过确实比cool 要好用,个人的感觉在录音的采样和降噪这两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7Qgjb.html" rel="bookmark" class="title">草根站长资讯上周新闻荟萃集锦（4&period;8-4&period;14）</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 ·PHPWind漏洞大规模爆发 国内1/3网站受影响 网易科技 | 2007-04-08 显然,一次系统的安全隐患,已经波及整个中国互联网. 程序漏洞很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7Awrz.html" rel="bookmark" class="title">php遍历删除整个目录及文件的方法&lowbar;php技巧</a>
					<div>
						本文实例讲述了php遍历删除整个目录及文件的方法.分享给大家供大家参考.具体分析如下: 我们可以使用RecursiveDirectoryIterator 和 RecursiveIteratorIter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxooK0b.html" rel="bookmark" class="title">android-oracle同一数据库中怎样将一个用户下的表导入或复制到另一个 用户中</a>
					<div>
						问题描述 oracle同一数据库中怎样将一个用户下的表导入或复制到另一个 用户中 ** oracle同一数据库中怎样将一个用户下的表导入或复制到另一个 用户中** 解决方案 oracle把一个用户的表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kGBxM.html" rel="bookmark" class="title">c&plus;&plus;二值图像的像元分组</a>
					<div>
						问题描述 c++二值图像的像元分组 二值图像中每个元素的值只能为1或0,其中1表示有效像元,0表示图像的背景.如果一个元素在另外一个元素的上.下.左.右四个方向,称两个元素为相邻元素.&quot;像元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N6anz.html" rel="bookmark" class="title">Application Firewall Design</a>
					<div>
						Application Firewall Design Web Application Firewall, 7layer Firewall Mr. Neo Chen (netkiller), 陈景峰( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Y38XM.html" rel="bookmark" class="title">Maven实战&period; 2&period;2在基于UNIX的系统上安装Maven</a>
					<div>
						2.2在基于UNIX的系统上安装Maven Maven是跨平台的,它可以在任何一种主流的操作系统上运行.本节将介绍如何在基于UNIX的系统(包括Linux.Mac OS以及FreeBSD等)上安装Ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRxy4b.html" rel="bookmark" class="title">Bootstrap&amp;lt&semi;基础四&amp;gt&semi; 代码</a>
					<div>
						原文:Bootstrap&lt;基础四&gt; 代码 Bootstrap 允许您以两种方式显示代码: 第一种是 &lt;code&gt; 标签.如果您想要内联显示代码,那么您应该使用 &lt;code ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Zl75p.html" rel="bookmark" class="title">《Adobe Illustrator CS6中文版经典教程（彩色版）》&mdash;第1课1&period;17节排列多个文档</a>
					<div>
						1.17 排列多个文档 Adobe Illustrator CS6中文版经典教程(彩色版) 打开了一个或多个Illustrator文档,文档窗口将以选项卡标签的形式出现在顶部的选项卡条中.可以采用其他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYqY0p.html" rel="bookmark" class="title">jQuery中setInterval、setTimeout找不到对象解决办法</a>
					<div>
						最近碰到个问题,在使用jquery写定时器时,总是会出现fn不存在的错误提示以前写定时器的时候,总是习惯直接 setInterval(&quot;fn()&quot;,2000); 最近碰到个问题,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmBnvM.html" rel="bookmark" class="title">双十二再掀热潮 一团网折扣促销以质取胜</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 十一月,对于互联网来说,最热门的话题无疑是网购促销.阿里旗下淘宝.天猫商城的促销活动,成功的让&quot;双十一&quot;这个所谓的光棍节有了新的定义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7V12z.html" rel="bookmark" class="title">java ee 运行不起来，貌似tomcat的问题，构建路径调过了</a>
					<div>
						问题描述 java ee 运行不起来,貌似tomcat的问题,构建路径调过了 我是真的看不懂这个是什么问题了,数据库的开了,但是还说错的.第一句话&lt;%@那里也说错的额,service里面tomc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwXW6M.html" rel="bookmark" class="title">变元-c语言如何在子函数读取主函数中的数组</a>
					<div>
						问题描述 c语言如何在子函数读取主函数中的数组 要一次性全部读取这个数组,不需要改变数组. 比如我有个数组a[10].我想一次性在子函数中读取a从1到10的所有字符.如果不通过指针,可以用变元传递嘛  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo5d9M.html" rel="bookmark" class="title">中国经验对印度等金砖国家智慧城市建设的启示</a>
					<div>
						智慧城市,是中国城市转型升级.提质增效的必由之路,是融合新型城镇化.工业化.信息化.农业现代化和绿色化的有效载体.实现程度的高低,直接关系城市文明延续和复兴的效率.水平.范围.自2011年以来,中国从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12gD8p.html" rel="bookmark" class="title">sql语句连接查询的问题</a>
					<div>
						问题描述 我现在有两张表,一张target目标表,一张费用表,目标表一个用户每个月就一条记录,比如设定的各个要完成的目标,费用表可能一个月有好几条记录,记录已完成的数据,表之间的关联用用户的ID,现在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAdoyb.html" rel="bookmark" class="title">威客网站逆势成长</a>
					<div>
						有这么一群人,他们每天泡在网上,点击鼠标,&quot;足不出户&quot;就可以靠智慧赚钱,他们就是&quot;威客一族&quot;.统计显示,中国目前的威客族达上百万,在金融危机的大背景下,&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlmd3Rp.html" rel="bookmark" class="title">Android Drawerlayout侧拉栏事件传递问题的解决方法&lowbar;Android</a>
					<div>
						先来看看错误分析: &quot;在侧拉栏打开的时候出现了点击之后侧拉栏下面的页面也接收到了点击事件.&quot; 解决方案: rootDrawerlayout.setDrawerListener(ne ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.035 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
